| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Private Attributes | List of all members
Gaudi::Parsers::IncludedFiles Class Reference

`#include <src/JobOptionsSvc/IncludedFiles.h>`

Collaboration diagram for Gaudi::Parsers::IncludedFiles:
[legend]

## Public Types
typedef std::map< std::string, Position > | Container

## Public Member Functions
bool | AddFile (std::string filename, Position from)
bool | IsIncluded (const std::string &filename) const
bool | GetPosition (const std::string &filename, const Position **pos) const

## Private Attributes
Container | container_

## Detailed Description

Definition at line 18 of file IncludedFiles.h.

## Member Typedef Documentation

typedef std::map<std::string, Position> Gaudi::Parsers::IncludedFiles::Container

Definition at line 21 of file IncludedFiles.h.

## Member Function Documentation

bool Gaudi::Parsers::IncludedFiles::AddFile | ( | std::string | filename,
|  | Position | from
| ) |  |

Definition at line 16 of file IncludedFiles.cpp.

17 {
18 return container_.emplace( std::move( filename ), std::move( from ) ).second;
19 }
std::move
T move(T...args)
std::map::emplace
T emplace(T...args)
Gaudi::Parsers::IncludedFiles::container_
Container container_
Definition: IncludedFiles.h:29

bool Gaudi::Parsers::IncludedFiles::GetPosition | ( | const std::string & | filename,
|  | const Position ** | pos
| ) |  | const

Definition at line 21 of file IncludedFiles.cpp.

22 {
23 auto iter = container_.find( filename );
24 if ( iter == container_.end() ) return false;
25 *pos = &iter->second;
26 assert( pos );
27 return true;
28 }
std::map::end
T end(T...args)
std::map::find
T find(T...args)
Gaudi::Parsers::IncludedFiles::container_
Container container_
Definition: IncludedFiles.h:29

bool Gaudi::Parsers::IncludedFiles::IsIncluded | ( | const std::string & | filename | ) | const

Definition at line 11 of file IncludedFiles.cpp.

12 {
13 return container_.find( filename ) != container_.end();
14 }
std::map::end
T end(T...args)
std::map::find
T find(T...args)
Gaudi::Parsers::IncludedFiles::container_
Container container_
Definition: IncludedFiles.h:29

## Member Data Documentation

Container Gaudi::Parsers::IncludedFiles::container_
| private

Definition at line 29 of file IncludedFiles.h.

The documentation for this class was generated from the following files:

- GaudiCoreSvc/src/JobOptionsSvc/IncludedFiles.h
- GaudiCoreSvc/src/JobOptionsSvc/IncludedFiles.cpp